Module jdk.jlink
Package jdk.tools.jlink.plugin

## Enum Pool.ModuleDataType

- java.lang.Object
- - java.lang.Enum<Pool.ModuleDataType>
  - - jdk.tools.jlink.plugin.Pool.ModuleDataType

All Implemented Interfaces:
  Serializable, Comparable<Pool.ModuleDataType>

Enclosing class:
  Pool

    public static enum Pool.ModuleDataType
    extends Enum<Pool.ModuleDataType>

Type of module data.

CLASS_OR_RESOURCE: A java class or resource file.

CONFIG: A configuration file.

NATIVE_CMD: A native process launcher.

NATIVE_LIB: A native library.

OTHER: Other kind of file.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLASS_OR_RESOURCE`
`CONFIG`
`NATIVE_CMD`
`NATIVE_LIB`
`OTHER`

### Method Summary

All Methods Static Methods Concrete Methods
`static Pool.ModuleDataType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Pool.ModuleDataType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CLASS_OR_RESOURCE

    public static final Pool.ModuleDataType CLASS_OR_RESOURCE

#### CONFIG

    public static final Pool.ModuleDataType CONFIG

#### NATIVE_CMD

    public static final Pool.ModuleDataType NATIVE_CMD

#### NATIVE_LIB

    public static final Pool.ModuleDataType NATIVE_LIB

#### OTHER

    public static final Pool.ModuleDataType OTHER

### Method Detail

#### values

    public static Pool.ModuleDataType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Pool.ModuleDataType c : Pool.ModuleDataType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Pool.ModuleDataType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null